---
- name: Deploy EV
  hosts: kapha

  tasks:
  - name: Copy build to remote
    ansible.builtin.copy:
      src: ../sour.is-paste
      dest: /usr/local/bin/sour.is-paste
      mode: u=rwx,g=rx,o=rx
      owner: root
      group: root

  - name: Copy build to remote
    ansible.builtin.copy:
      src: sour.is-paste.service
      dest: /etc/systemd/system/sour.is-paste.service
      mode: u=r,g=r,o=r
      owner: root
      group: root

  - name: Restart service
    systemd:
      name: sour.is-paste
      enabled: true
      daemon_reload: true
      state: restarted
